Create a Quote Tweet
Posts a new tweet that quotes an existing tweet. Requires the URL of the tweet to be quoted and the new content,$0.0005 per call.
Retour à la référence API
/Tweet Actions Endpoints
POST
/twitter/tweets/quoteAutorisation API
AuthorizationBearer token · headerrequisJeton Bearer global pour TwexAPI. Inclus sous la forme : Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Corps de la requête
requisapplication/jsonmedia_urlstring | anySingle media URL: image, GIF, or video. Prefer media_urls for multiple images.
Afficher les propriétésMasquer les propriétés
Any of:
string
stringany
anymedia_urlsstring[] | anyURLs des médias joints (jusqu'à 4 photos ou 1 vidéo)
Afficher les propriétésMasquer les propriétés
Any of:
string[]
Array of
stringstringany
anytweet_contentstringrequisContenu du tweet ou de la réponse
delegated_account_usernamestring | anydelegated account username
Afficher les propriétésMasquer les propriétés
Any of:
string
stringany
anycookiestringrequisIdentifiants de session ou auth_token autorisés de l'utilisateur (BYOC — Bring Your Own Cookie). Exécution proxy sans état avec zéro rétention d'identifiants. Consultez [Sécurité et Authentification](/fr/authentication#write-operations--byoc-bring-your-own-cookie) et [Comment obtenir un Cookie](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie).
community_namestring | anyName of Twitter community to post in or community id
Afficher les propriétésMasquer les propriétés
Any of:
string
stringany
anyquote_tweet_urlstring | anyURL of tweet to quote
Afficher les propriétésMasquer les propriétés
Any of:
string
stringany
anyproxystring | anyThe proxy to use.Please use high-quality residential proxies and avoid free proxies.Required.Example: http://username:password@ip:port . You can get proxy from: https://app.proxy-cheap.com/r/qiMxub
Afficher les propriétésMasquer les propriétés
Any of:
string
stringany
anyRéponses
200The ID and user ID of the newly created quote tweet.
codeintegerCode d'état HTTP (200 indique le succès)
default: 200
msgstringMessage de réponse (ex. 'success')
default: "success"
dataPostTweetData | anyDonnées principales renvoyées par l'API
Afficher les propriétésMasquer les propriétés
Any of:
PostTweetData
tweet_idstring | anyID unique du tweet
Afficher les propriétésMasquer les propriétés
Any of:
string
stringany
anyuser_idstring | anyID numérique de l'utilisateur
Afficher les propriétésMasquer les propriétés
Any of:
string
stringany
anycodeintegerCode d'état HTTP (200 indique le succès)
default: 200
any
any422Erreur de validation des paramètres
detailValidationError[]Afficher les propriétésMasquer les propriétés
Array of
ValidationErrorlocstring | integer[]requisAfficher les propriétésMasquer les propriétés
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequisMessage de réponse (ex. 'success')
typestringrequisinputanyctxobject⚡Console interactivePOST
⚡Console interactive / Tester l'APIPOSTLive Console
🌐Serveur cible :
https://api.twexapi.io● Prêt pour la production
✍️
Guide d'identification d'écriture (Clé TwexAPI + Cookie Twitter)
1. Clé TwexAPI (Bearer Token) : À renseigner sous "Autorisation API" ci-dessous pour la facturation et l'authentification.
2. Cookie Twitter : Pour les opérations d'écriture (tweet, like, etc.), renseignez le Cookie Twitter (ex : auth_token=...; ct0=...) dans le champ cookie ci-dessous.
🔑Autorisation API
📝Corps de la requêteapplication/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
Requête
curl -X POST "https://api.twexapi.io/twitter/tweets/quote" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"media_url": "https://example.com/image.jpg",
"media_urls": [
"https://example.com/image1.jpg",
"https://example.com/image2.jpg"
],
"tweet_content": "Hello, Twitter! 🐦",
"delegated_account_username": "elonmusk",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"community_name": "Python Developers or 1234567890123456789",
"quote_tweet_url": "https://twitter.com/user/status/1234567890123456789",
"proxy": "http://username:password@ip:port"
}'const response = await fetch("https://api.twexapi.io/twitter/tweets/quote", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"media_url": "https://example.com/image.jpg",
"media_urls": [
"https://example.com/image1.jpg",
"https://example.com/image2.jpg"
],
"tweet_content": "Hello, Twitter! 🐦",
"delegated_account_username": "elonmusk",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"community_name": "Python Developers or 1234567890123456789",
"quote_tweet_url": "https://twitter.com/user/status/1234567890123456789",
"proxy": "http://username:password@ip:port"
})
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/tweets/quote",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"media_url": "https://example.com/image.jpg",
"media_urls": [
"https://example.com/image1.jpg",
"https://example.com/image2.jpg"
],
"tweet_content": "Hello, Twitter! 🐦",
"delegated_account_username": "elonmusk",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"community_name": "Python Developers or 1234567890123456789",
"quote_tweet_url": "https://twitter.com/user/status/1234567890123456789",
"proxy": "http://username:password@ip:port"
},
)Réponse
{
"code": 200,
"msg": "success",
"data": {
"tweet_id": "1234567890123456789",
"user_id": "1234567890",
"code": 200
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}